reuseport_bpf_numa in net from ubuntu_kernel_selftests failed on i386

Bug #1812638 reported by Po-Hsu Lin on 2019-01-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Po-Hsu Lin
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Po-Hsu Lin

Bug Description

== SRU Justification ==
The reuseport_bpf_numa test in net category from ubuntu_kernel_selftests
will fail on i386 systems with:
  selftests: reuseport_bpf_numa
  ========================================
  not ok 1..3 selftests: reuseport_bpf_numa [FAIL]

If you run it directly, you will see the test is simply not supported.
  $ sudo ./reuseport_bpf_numa
  ./reuseport_bpf_numa: no numa api support: Function not implemented

== Fix ==
* 1a2b80ec (selftests: net: reuseport_bpf_numa: don't fail if no numa
 support)

We have this patch in newer kernel from D, and we don't run this test
on Xenial so only Bionic needs this patch.

== Test ==
Tested on a Bionic i386 node and it works as expected.
  selftests: reuseport_bpf_numa
  ========================================
  1..0 # Skipped: no numa api support
  ok 1..3 selftests: reuseport_bpf_numa [PASS]

== Regression Potential ==
Low, trival change to testing tool itself.

== Original Bug Report ==
Test failed with:
    $ sudo ./reuseport_bpf_numa
    ./reuseport_bpf_numa: no numa api support: Function not implemented

Maybe this one should be skipped.

selftests: reuseport_bpf_numa
 ========================================
 not ok 1..3 selftests: reuseport_bpf_numa [FAIL]

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-43-generic 4.15.0-43.46
ProcVersionSignature: User Name 4.15.0-43.46-generic 4.15.18
Uname: Linux 4.15.0-43-generic i686
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 Jan 21 10:52 seq
 crw-rw---- 1 root audio 116, 33 Jan 21 10:52 timer
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay'
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: i386
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
Date: Mon Jan 21 11:06:26 2019
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig'
MachineType: Dell Inc. PowerEdge R310
PciMultimedia:

ProcFB: 0 mgadrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic root=UUID=6aaa11f6-d386-4c0c-b4b8-38e6c408980a ro console=ttyS0,115200n8
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-43-generic N/A
 linux-backports-modules-4.15.0-43-generic N/A
 linux-firmware 1.173.3
RfKill: Error: [Errno 2] No such file or directory: 'rfkill': 'rfkill'
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/18/2012
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.11.0
dmi.board.name: 05XKKK
dmi.board.vendor: Dell Inc.
dmi.board.version: A05
dmi.chassis.type: 23
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.11.0:bd09/18/2012:svnDellInc.:pnPowerEdgeR310:pvr:rvnDellInc.:rn05XKKK:rvrA05:cvnDellInc.:ct23:cvr:
dmi.product.name: PowerEdge R310
dmi.sys.vendor: Dell Inc.

CVE References

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Po-Hsu Lin (cypressyew) on 2019-07-26
tags: added: ubuntu-kernel-selftests

Issue can be found on X-4.15 as well (i386)

summary: - reuseport_bpf_numa in net from ubuntu_kernel_selftests failed on B
+ reuseport_bpf_numa in net from ubuntu_kernel_selftests failed on 4.15
tags: added: sru-20190812

affects 5.0 kernel as well on power (D) linux-generic

summary: - reuseport_bpf_numa in net from ubuntu_kernel_selftests failed on 4.15
+ reuseport_bpf_numa in net from ubuntu_kernel_selftests fails
tags: added: 5.0
tags: added: 4.15
tags: added: sru-20191202
Po-Hsu Lin (cypressyew) wrote :

On B-5.3 P8, test result is a bit different:
 # selftests: net: reuseport_bpf_numa
 # ---- IPv4 UDP ----
 # send node 0, receive socket 0
 # send node 1, receive socket 1
 # libnuma: Warning: Cannot read node cpumask from sysfs
 # ./reuseport_bpf_numa: failed to pin to node: No such file or directory
 not ok 3 selftests: net: reuseport_bpf_numa # exit=1

tags: added: 2020
tags: added: sru-20200217
removed: 2020
Po-Hsu Lin (cypressyew) wrote :

More detail on B-5.3
* Skipped on i386 with no api support
* Passed on ARM64
* Passed on AMD64
* Passed on P9
* Failed with P8
The output on B-5.3 P8 is:
 # selftests: net: reuseport_bpf_numa
 # ---- IPv4 UDP ----
 # send node 0, receive socket 0
 # send node 1, receive socket 7
 # ./reuseport_bpf_numa: node id/receive socket mismatch
 not ok 3 selftests: net: reuseport_bpf_numa # exit=1

tags: added: 5.3
tags: added: ppc64el
Po-Hsu Lin (cypressyew) on 2020-03-13
Changed in ubuntu-kernel-tests:
status: New → In Progress
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in ubuntu-kernel-tests:
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Po-Hsu Lin (cypressyew)
Po-Hsu Lin (cypressyew) on 2020-03-16
summary: - reuseport_bpf_numa in net from ubuntu_kernel_selftests fails
+ reuseport_bpf_numa in net from ubuntu_kernel_selftests failed on i386
Po-Hsu Lin (cypressyew) on 2020-03-16
tags: removed: ppc64el
Po-Hsu Lin (cypressyew) on 2020-03-16
description: updated
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Po-Hsu Lin (cypressyew) wrote :

Passed with X-hwe 4.15 i386.

Changed in ubuntu-kernel-tests:
status: In Progress → Fix Released
tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.15.0-99.100

---------------
linux (4.15.0-99.100) bionic; urgency=medium

  * CVE-2020-11884
    - SAUCE: s390/mm: fix page table upgrade vs 2ndary address mode accesses

 -- Marcelo Henrique Cerri <email address hidden> Wed, 22 Apr 2020 15:31:14 -0300

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers